ruby

An Interpreted Object-Oriented Scripting Language

Ruby is an interpreted scripting language for quick and easy object-oriented programming. It has many features for processing text files and performing system management tasks (as in Perl). It is simple, straight-forward, and extensible. * Ruby features: - Simple Syntax - *Normal* Object-Oriented features (class, method calls, for example) - *Advanced* Object-Oriented features(Mix-in, Singleton-method, for example) - Operator Overloading - Exception Handling - Iterators and Closures - Garbage Collection - Dynamic Loading of Object Files (on some architectures) - Highly Portable (works on many UNIX machines; DOS, Windows, Mac, BeOS, and more)

  • Versione 2.5
  • Dimensione 11,5 KB
  • openSUSE Tumbleweed
Installa direttamente

Distribuzioni

openSUSE Tumbleweed

openSUSE Leap 15.0

home:aevseev Comunità
2.4.4

openSUSE Leap 42.3

SUSE SLE-15

SUSE SLE-12-SP3

SUSE SLE-12

SUSE SLE-11 SP 4

Debian 8.0

home:2pitsin Comunità
2.2.2

Debian 7.0

home:2pitsin Comunità
2.2.2

ScientificLinux 6

home:takehironet Comunità
2.4.3

RedHat RHEL-7

2.0.0.353
home:fusion809 Comunità
2.0.0.598
2.0.0.353

RedHat RHEL-6

home:fusion809 Comunità
2.0.0.598

CentOS CentOS-7

home:aevseev Comunità
2.4.4
home:k0da:rh-obs Comunità
2.3
home:takehironet Comunità
2.5.0

CentOS CentOS-6

home:aevseev Comunità
2.4.4
home:takehironet Comunità
2.4.3

Ubuntu 14.04

YaST:SLE-12:GA:Travis Sperimentale
2.1.0.0~ubuntu3
home:2pitsin Comunità
2.2.2

Ubuntu 12.04

YaST:SLE-12:GA:Travis Sperimentale
2.1.0.0~ubuntu3
YaST:SLE-12:SP1:Travis Sperimentale
2.1.0.0~ubuntu3
YaST:SLE-12:SP2:Travis Sperimentale
2.1.0.0~ubuntu3
2.1.0.0~ubuntu3
2.1.0.0~ubuntu3

Distribuzioni non supportate

Le seguenti distribuzioni non sono ufficialmente supportate. Usare questi pacchetti a proprio rischio.

openSUSE:13.2

openSUSE:Leap:42.1

openSUSE:Leap:42.2

2.1.5

openSUSE:13.1

openSUSE:12.3

openSUSE:12.2

openSUSE:11.4

openSUSE:12.1

1.9.3

DISCONTINUED:openSUSE:11.2

openSUSE:11.3

DISCONTINUED:openSUSE:11.1

openSUSE:11.1

openSUSE:11.2

SUSE:SLE-12:SLE-Module-Toolchain

SUSE:SLE-11:SP3

SUSE:SLE-11:SP2

2.1.2

Intel:Moblin2

1.8.6.287

Fedora:25

SUSE:SLE-11

SUSE:SLE-11:SP1

SUSE:SLE-10